Search for image

  1. Search 7.x for image
  2. Search 9.5.x for image
  3. Search 8.9.x for image
  4. Search 10.3.x for image
  5. Search main for image
  6. Other projects

Exact matches

These are exact matches according to your search
Title Object type File name Summary
Image class core/modules/media/src/Plugin/media/Source/Image.php Image entity media source.
Image class core/modules/ckeditor5/src/Plugin/CKEditor5Plugin/Image.php CKEditor 5 Image plugin.
Image class core/lib/Drupal/Core/Image/Image.php Defines an image object to represent an image file.
Image class core/lib/Drupal/Component/Utility/Image.php Provides helpers to operate on images.

All search results

Title Object type File name Summary
ImageStyleInterface::createDerivative function core/modules/image/src/ImageStyleInterface.php Creates a new image derivative based on this image style.
ImageStyleInterface::deleteImageEffect function core/modules/image/src/ImageStyleInterface.php Deletes an image effect from this style.
ImageStyleInterface::flush function core/modules/image/src/ImageStyleInterface.php Flushes cached media for this style.
ImageStyleInterface::getDerivativeExtension function core/modules/image/src/ImageStyleInterface.php Determines the extension of the derivative without generating it.
ImageStyleInterface::getEffect function core/modules/image/src/ImageStyleInterface.php Returns a specific image effect.
ImageStyleInterface::getEffects function core/modules/image/src/ImageStyleInterface.php Returns the image effects for this style.
ImageStyleInterface::getName function core/modules/image/src/ImageStyleInterface.php Returns the image style.
ImageStyleInterface::getPathToken function core/modules/image/src/ImageStyleInterface.php Generates a token to protect an image style derivative.
ImageStyleInterface::setName function core/modules/image/src/ImageStyleInterface.php Sets the name of the image style.
ImageStyleInterface::supportsUri function core/modules/image/src/ImageStyleInterface.php Determines if this style can be applied to a given image.
ImageStyleInterface::TOKEN constant core/modules/image/src/ImageStyleInterface.php The name of the query parameter for image derivative tokens.
ImageStyleInterface::transformDimensions function core/modules/image/src/ImageStyleInterface.php Determines the dimensions of this image style.
ImageStyleJsonAnonTest class core/modules/image/tests/src/Functional/Rest/ImageStyleJsonAnonTest.php Tests Image Style Json Anon.
ImageStyleJsonAnonTest.php file core/modules/image/tests/src/Functional/Rest/ImageStyleJsonAnonTest.php
ImageStyleJsonAnonTest::$defaultTheme property core/modules/image/tests/src/Functional/Rest/ImageStyleJsonAnonTest.php The theme to install as the default for testing.
ImageStyleJsonAnonTest::$format property core/modules/image/tests/src/Functional/Rest/ImageStyleJsonAnonTest.php The format to use in this test.
ImageStyleJsonAnonTest::$mimeType property core/modules/image/tests/src/Functional/Rest/ImageStyleJsonAnonTest.php The MIME type that corresponds to $format.
ImageStyleJsonBasicAuthTest class core/modules/image/tests/src/Functional/Rest/ImageStyleJsonBasicAuthTest.php Tests Image Style Json Basic Auth.
ImageStyleJsonBasicAuthTest.php file core/modules/image/tests/src/Functional/Rest/ImageStyleJsonBasicAuthTest.php
ImageStyleJsonBasicAuthTest::$auth property core/modules/image/tests/src/Functional/Rest/ImageStyleJsonBasicAuthTest.php The authentication mechanism to use in this test.
ImageStyleJsonBasicAuthTest::$defaultTheme property core/modules/image/tests/src/Functional/Rest/ImageStyleJsonBasicAuthTest.php The theme to install as the default for testing.
ImageStyleJsonBasicAuthTest::$format property core/modules/image/tests/src/Functional/Rest/ImageStyleJsonBasicAuthTest.php The format to use in this test.
ImageStyleJsonBasicAuthTest::$mimeType property core/modules/image/tests/src/Functional/Rest/ImageStyleJsonBasicAuthTest.php The MIME type that corresponds to $format.
ImageStyleJsonBasicAuthTest::$modules property core/modules/image/tests/src/Functional/Rest/ImageStyleJsonBasicAuthTest.php Modules to install.
ImageStyleJsonCookieTest class core/modules/image/tests/src/Functional/Rest/ImageStyleJsonCookieTest.php Tests Image Style Json Cookie.
ImageStyleJsonCookieTest.php file core/modules/image/tests/src/Functional/Rest/ImageStyleJsonCookieTest.php
ImageStyleJsonCookieTest::$auth property core/modules/image/tests/src/Functional/Rest/ImageStyleJsonCookieTest.php The authentication mechanism to use in this test.
ImageStyleJsonCookieTest::$defaultTheme property core/modules/image/tests/src/Functional/Rest/ImageStyleJsonCookieTest.php The theme to install as the default for testing.
ImageStyleJsonCookieTest::$format property core/modules/image/tests/src/Functional/Rest/ImageStyleJsonCookieTest.php The format to use in this test.
ImageStyleJsonCookieTest::$mimeType property core/modules/image/tests/src/Functional/Rest/ImageStyleJsonCookieTest.php The MIME type that corresponds to $format.
ImageStyleListBuilder class core/modules/image/src/ImageStyleListBuilder.php Defines a class to build a listing of image style entities.
ImageStyleListBuilder.php file core/modules/image/src/ImageStyleListBuilder.php
ImageStyleListBuilder::buildHeader function core/modules/image/src/ImageStyleListBuilder.php Builds the header row for the entity listing.
ImageStyleListBuilder::buildRow function core/modules/image/src/ImageStyleListBuilder.php Builds a row for an entity in the entity listing.
ImageStyleListBuilder::getDefaultOperations function core/modules/image/src/ImageStyleListBuilder.php Gets this list's default operations.
ImageStyleListBuilder::render function core/modules/image/src/ImageStyleListBuilder.php Builds the entity listing as renderable array for table.html.twig.
ImageStyleMappings class core/modules/responsive_image/src/Plugin/migrate/process/ImageStyleMappings.php Transforms image style mappings.
ImageStyleMappings.php file core/modules/responsive_image/src/Plugin/migrate/process/ImageStyleMappings.php
ImageStyleMappings::getMultiplierSettings function core/modules/responsive_image/src/Plugin/migrate/process/ImageStyleMappings.php Extracts multiplier settings based on its type.
ImageStyleMappings::transform function core/modules/responsive_image/src/Plugin/migrate/process/ImageStyleMappings.php Performs the associated process.
ImageStyleMappings::__construct function core/modules/responsive_image/src/Plugin/migrate/process/ImageStyleMappings.php Constructs a \Drupal\Component\Plugin\PluginBase object.
ImageStyleResourceTestBase class core/modules/image/tests/src/Functional/Rest/ImageStyleResourceTestBase.php ResourceTestBase for ImageStyle entity.
ImageStyleResourceTestBase.php file core/modules/image/tests/src/Functional/Rest/ImageStyleResourceTestBase.php
ImageStyleResourceTestBase::$effectUuid property core/modules/image/tests/src/Functional/Rest/ImageStyleResourceTestBase.php The effect UUID.
ImageStyleResourceTestBase::$entity property core/modules/image/tests/src/Functional/Rest/ImageStyleResourceTestBase.php The ImageStyle entity.
ImageStyleResourceTestBase::$entityTypeId property core/modules/image/tests/src/Functional/Rest/ImageStyleResourceTestBase.php The tested entity type.
ImageStyleResourceTestBase::$modules property core/modules/image/tests/src/Functional/Rest/ImageStyleResourceTestBase.php Modules to install.
ImageStyleResourceTestBase::createEntity function core/modules/image/tests/src/Functional/Rest/ImageStyleResourceTestBase.php Creates the entity to be tested.
ImageStyleResourceTestBase::getExpectedNormalizedEntity function core/modules/image/tests/src/Functional/Rest/ImageStyleResourceTestBase.php Returns the expected normalization of the entity.
ImageStyleResourceTestBase::getExpectedUnauthorizedAccessMessage function core/modules/image/tests/src/Functional/Rest/ImageStyleResourceTestBase.php Return the expected error message.

Buggy or inaccurate documentation? Please file an issue. Need support? Need help programming? Connect with the Drupal community.